#version 460 core

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 aNormal;
layout (location = 2) in vec2 aTexCoords;

// declare an interface block; see 'Advanced GLSL' for what these are.
out VS_OUT {
    vec4 FragPos;
    vec3 Normal;
    vec2 TexCoords;
} vs_out;

out gl_PerVertex
{
  vec4 gl_Position;
};

uniform mat4 viewproj;
uniform mat4 model;


void main()
{
    vs_out.FragPos = model * vec4(aPos, 1.0);
    vs_out.Normal = normalize(model * vec4(aNormal,0)).xyz;
	//vs_out.Normal = aNormal;
    vs_out.TexCoords = aTexCoords;
	gl_Position = viewproj * vs_out.FragPos;
}
