#version 460 core

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;
layout (location = 2) in vec2 uv;

out VS_OUT {
    vec3 worldPos;
    vec3 normal;
    vec2 uv;
} vs_out;

uniform mat4 modelMatrix;

void main()
{
    vs_out.worldPos = (modelMatrix * vec4(position, 1.0)).xyz;
    vs_out.normal = (modelMatrix * vec4(normal, 0.0)).xyz;
    vs_out.uv = uv;
}
